Package: org.grails.plugins.web.interceptors

## [Groovy] Class GrailsInterceptorHandlerInterceptorAdapter

- org.grails.plugins.web.interceptors.GrailsInterceptorHandlerInterceptorAdapter

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.HandlerInterceptor

      @groovy.transform.CompileStatic
      class GrailsInterceptorHandlerInterceptorAdapter
      extends java.lang.Object
      implements org.springframework.web.servlet.HandlerInterceptor

  Adapts Grails groovy.lang.Interceptor instances to the Spring org.springframework.web.servlet.HandlerInterceptor interface

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `ATTRIBUTE_MATCHED_INTERCEPTORS` |
    `private static java.lang.String` | `INTERCEPTOR_RENDERED_VIEW` |
    `private static org.apache.commons.logging.Log` | `LOG` |
    `protected java.util.List<groovy.lang.Interceptor>` | `interceptors` |
    `protected java.util.List<groovy.lang.Interceptor>` | `reverseInterceptors` |
    `private org.grails.datastore.mapping.services.ServiceRegistry[]` | `serviceRegistry` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `INTERCEPTOR_RENDERED_VIEW`
    `org.grails.datastore.mapping.services.ServiceRegistry[]` | `serviceRegistry`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsInterceptorHandlerInterceptorAdapter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, java.lang.Exception ex)`
    `` | `void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, org.springframework.web.servlet.ModelAndView modelAndView)`
    `` | `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
    `` | `void` | `setInterceptors(Interceptor[] interceptors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String ATTRIBUTE_MATCHED_INTERCEPTORS

    - #### private static final java.lang.String INTERCEPTOR_RENDERED_VIEW

    - #### private static final org.apache.commons.logging.Log LOG

    - #### protected java.util.List<groovy.lang.Interceptor> interceptors

    - #### protected java.util.List<groovy.lang.Interceptor> reverseInterceptors

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private org.grails.datastore.mapping.services.ServiceRegistry[] serviceRegistry

  - ### Property Detail

    - #### static final java.lang.String INTERCEPTOR_RENDERED_VIEW

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) org.grails.datastore.mapping.services.ServiceRegistry[] serviceRegistry

  - ### Constructor Detail

    - #### GrailsInterceptorHandlerInterceptorAdapter()

  - ### Method Detail

    - #### @java.lang.Override void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, java.lang.Exception ex)

    - #### @java.lang.Override void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, org.springframework.web.servlet.ModelAndView modelAndView)

    - #### @java.lang.Override boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) @groovy.transform.CompileDynamic void setInterceptors(Interceptor[] interceptors)